#delimit ;
set more 1;

***************************************************************************************
* Chernozhukov, Fernandez-Val, Hahn, and Newey: "Average and Quantile Effects in Nonseparable Panel Models"
* Stata program to generate Table 2
***************************************************************************************

* Specify path to the folder where the data set data_static.dta is located;
* cd " ";

capture log close;
log using "table2.log", replace;

use data_static.dta, clear;


* DESCRIPTIVE STATISTICS;

keep if time <= 3;
sort time;

sort id time;
by id: gen sy = sum(y);
by id: gen sx = sum(x);

gen cy = 0;
gen cx = 0;

replace cy = . if time == 1;
replace cx = . if time == 1;

replace cy = 1 if (sy == 1 & time == 2);
replace cx = 1 if (sx == 1 & time == 2);

replace cy = 1 if ((sy == 1 | sy == 2) & time == 3);
replace cx = 1 if ((sx == 1 | sx == 2) & time == 3);


sort time;

by time: sum y cy x cx ;

clear;


log close;
